package com.energy.online.data.dto;

import lombok.Data;

import java.nio.file.Paths;
import java.util.List;

@Data
public class BaseConfig {

    private Line line;

    private String saveDir;

    public String getSaveDir() {
        if (saveDir == null) {
            this.saveDir = System.getProperty("user.dir") + "/data/";
        }
        if (saveDir.endsWith("/")) {
            saveDir = saveDir + "/";
        }

        return saveDir;
    }
}


