package com.energy.online.data.common;

import lombok.extern.slf4j.Slf4j;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import java.util.concurrent.ConcurrentHashMap;

@Slf4j
public class CommonData {

    public static final Map<Integer, Object> map = new ConcurrentHashMap<>();

    public static final List<Map<Integer, Object>> list = new ArrayList<>();

    public static SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    public static void addList() {
        // -1 表示时间
//        log.info("数据长度(包含时间):" + map.size());
        if (!map.isEmpty()) {
            map.put(0, sdf.format(System.currentTimeMillis()));
            list.add(new TreeMap<>(map));
        }
    }

    public static void put(Integer key, Object value) {
        map.put(key, value);
    }

    public static List<Map<Integer, Object>> getListAndClean() {
        List<Map<Integer, Object>> nowList = new ArrayList<>(list);
        list.clear();
        return nowList;
    }
}
